(*
Author:  Christian Sternagel <c.sternagel@gmail.com> (2012-2015, 2017)
Author:  René Thiemann <rene.thiemann@uibk.ac.at> (2013-2015)
License: LGPL (see file COPYING.LESSER)
*)
theory Code_Haskell
imports  
  Proof_Checker.Ceta
  Proof_Checker.Version
begin

export_code certify_proof Certified Unsupported Error Inl Inr version
(* remove, after defining an XML format: *)
  Yes No Terminating Upperbound Nonterminating Confluent Nonconfluent Completed Anything
  literal.explode
  in Haskell module_name Ceta file "../../generated/Haskell/"


definition "certifyproof x = certify_proof False None (Inl Anything) (String.explode x)" 

export_code certifyproof Certified Unsupported Error
  in OCaml module_name Ceta file "../../generated/OCaml/Ceta.ml"

end

